Show / Hide Table of Contents

# Class MessageApplication

##### Inheritance

System.Object
MessageApplication

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.API

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class MessageApplication

### Properties

| Improve this Doc View Source

#### CoverImage

Gets the ID of the embed's image asset.

##### Declaration

    [JsonProperty("cover_image")]
    public string CoverImage { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Description

Gets the application's description.

##### Declaration

    [JsonProperty("description")]
    public string Description { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Icon

Gets the ID of the application's icon.

##### Declaration

    [JsonProperty("icon")]
    public string Icon { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Id

Gets the snowflake ID of the application.

##### Declaration

    [JsonProperty("id")]
    public ulong Id { get; set; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### Name

Gets the name of the application.

##### Declaration

    [JsonProperty("name")]
    public string Name { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |